Bug 228549 - lang/ponyc: update to 0.22.2
Summary: lang/ponyc: update to 0.22.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-27 18:33 UTC by Greg V
Modified: 2018-06-04 17:46 UTC (History)
2 users (show)

See Also:


Attachments
pony.patch (9.43 KB, patch)
2018-05-27 18:33 UTC, Greg V
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-05-27 18:33:35 UTC
Created attachment 193767 [details]
pony.patch

Much less makefile patching required now, yay!
Comment 1 Fernando Apesteguía freebsd_committer 2018-05-28 15:26:59 UTC
Take
Comment 2 Fernando Apesteguía freebsd_committer 2018-05-28 21:24:31 UTC
Hi Greg,

The port does not compile on 10.4 amd64. Is this a known issue? It fails with the same reason as in i386 ports:

build/release/libponyrt.a(pool.o): In function `pool_get':
src/libponyrt/mem/pool.c:(.text+0xbb): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `ponyint_pool_free':
src/libponyrt/mem/pool.c:(.text+0x221): undefined reference to `__atomic_compare_exchange'
src/libponyrt/mem/pool.c:(.text+0x26f): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `ponyint_pool_thread_cleanup':
src/libponyrt/mem/pool.c:(.text+0x7ef): undefined reference to `__atomic_compare_exchange'
src/libponyrt/mem/pool.c:(.text+0x8c0): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o):src/libponyrt/mem/pool.c:(.text+0x900): more undefined references to `__atomic_compare_exchange' follow
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[1]: *** [Makefile:817: build/release/libponyrt.tests] Error 1
gmake[1]: *** Waiting for unfinished jobs....
build/release/libponyrt.a(pool.o): In function `pool_get':
src/libponyrt/mem/pool.c:(.text+0xbb): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `ponyint_pool_free':
src/libponyrt/mem/pool.c:(.text+0x221): undefined reference to `__atomic_compare_exchange'
src/libponyrt/mem/pool.c:(.text+0x26f): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `ponyint_pool_thread_cleanup':
src/libponyrt/mem/pool.c:(.text+0x7ef): undefined reference to `__atomic_compare_exchange'
src/libponyrt/mem/pool.c:(.text+0x8c0): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o):src/libponyrt/mem/pool.c:(.text+0x900): more undefined references to `__atomic_compare_exchange' follow
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[1]: *** [Makefile:817: build/release/ponyc] Error 1
build/release/libponyrt.a(mpmcq.o): In function `ponyint_mpmcq_pop':
src/libponyrt/sched/mpmcq.c:(.text+0x150): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `pool_get':
src/libponyrt/mem/pool.c:(.text+0xbb): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `ponyint_pool_free':
src/libponyrt/mem/pool.c:(.text+0x221): undefined reference to `__atomic_compare_exchange'
src/libponyrt/mem/pool.c:(.text+0x26f): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o): In function `ponyint_pool_thread_cleanup':
src/libponyrt/mem/pool.c:(.text+0x7ef): undefined reference to `__atomic_compare_exchange'
build/release/libponyrt.a(pool.o):src/libponyrt/mem/pool.c:(.text+0x8c0): more undefined references to `__atomic_compare_exchange' follow
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[1]: *** [Makefile:817: build/release/libponyc.tests] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/lang/ponyc/work/ponyc-0.22.2'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Cheers
Comment 3 Greg V 2018-05-31 19:17:08 UTC
Yes, it's known: https://github.com/ponylang/ponyc/issues/2339
Comment 4 Li-Wen Hsu freebsd_committer 2018-06-02 11:16:56 UTC
Since ponyc-0.21.0 is built on 10.4 but it's known not on 0.22.2, would you mind to add IGNORE for versions < 11?
Comment 5 Fernando Apesteguía freebsd_committer 2018-06-02 12:57:09 UTC
(In reply to Li-Wen Hsu from comment #4)

Hi Li-Wen

The Makefile already sets BROKEN_FreeBSD_10. Wouldn't that be enough?
Comment 6 commit-hook freebsd_committer 2018-06-04 17:45:20 UTC
A commit references this bug:

Author: fernape
Date: Mon Jun  4 17:44:45 UTC 2018
New revision: 471575
URL: https://svnweb.freebsd.org/changeset/ports/471575

Log:
  lang/ponyc: update to 0.22.2

  PR:	228549
  Reported by:	greg@unrelenting.technology (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15644

Changes:
  head/lang/ponyc/Makefile
  head/lang/ponyc/distinfo
  head/lang/ponyc/files/patch-Makefile
  head/lang/ponyc/pkg-plist
Comment 7 Fernando Apesteguía freebsd_committer 2018-06-04 17:46:50 UTC
Committed,

Thanks!